Unable to apt update nvcr.io/nvidia/l4t-jetpack:r35.3.1

i am seeing a weird behavior when running on an Orin. When I:

docker run -it --rm --net=host nvcr.io/nvidia/l4t-jetpack:r35.3.1 /bin/bash -c "apt update"

I get the following error:

Reading package lists... Error!
E: Unable to parse package file /var/lib/dpkg/status (1)
W: You may want to run apt-get update to correct these problems
E: The package cache file is corrupted

This happens even if i dont use --net=host.

However, if I use a slightly newer image, nvcr.io/nvidia/l4t-jetpack:r35.4.1 It works as expected. Any idea why these two images would perform differently?

Moreover, if I run docker run -it --rm nvcr.io/nvidia/l4t-jetpack:r35.3.1 /bin/bash -c "apt update" on my host x86/64 linux machine, this works no problem.

Hi,
We run the command to launch docker image:

$ sudo docker run -it --rm --net=host --runtime nvidia -e DISPLAY=$DISPLAY -v /tmp/.X11-unix/:/tmp/.X11-unix nvcr.io/nvidia/l4t-base:35.3.1

and can execute apt update. Please give it a try.

And may also try this docker image:
L4T images with nvidia-l4t-jetson-multimedia-api installed already? - #10 by AastaLLL

I think i was having intermittent internet problems. Sorry for the red herring!

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.